import Foundation

struct SettingsConfig : Codable {
	let siteName : String?
	let siteTitle : String?
	let siteKeywords : String?
	let siteDesc : String?
	let siteEmail : String?
	let defualtLang : String?
	let emailValidation : String?
	let emailNotification : String?
	let fileSharing : String?
	let seoLink : String?
	let cacheSystem : String?
	let chatSystem : String?
	let useSeoFrindly : String?
	let reCaptcha : String?
	let reCaptchaKey : String?
	let user_lastseen : String?
	let age : String?
	let deleteAccount : String?
	let connectivitySystem : String?
	let profileVisit : String?
	let maxUpload : String?
	let maxCharacters : String?
	let message_seen : String?
	let message_typing : String?
	let google_map_api : String?
	let allowedExtenstion : String?
	let censored_words : String?
	let googleAnalytics : String?
	let allLogin : String?
	let googleLogin : String?
	let facebookLogin : String?
	let twitterLogin : String?
	let linkedinLogin : String?
	let vkontakteLogin : String?
	let facebookAppId : String?
	let facebookAppKey : String?
	let googleAppId : String?
	let googleAppKey : String?
	let twitterAppId : String?
	let twitterAppKey : String?
	let linkedinAppId : String?
	let linkedinAppKey : String?
	let vkontakteAppId : String?
	let vkontakteAppKey : String?
	let theme : String?
	let second_post_button : String?
	let instagramAppId : String?
	let instagramAppkey : String?
	let instagramLogin : String?
	let header_background : String?
	let header_hover_border : String?
	let header_color : String?
	let body_background : String?
	let btn_color : String?
	let btn_background_color : String?
	let btn_hover_color : String?
	let btn_hover_background_color : String?
	let setting_header_color : String?
	let setting_header_background : String?
	let setting_active_sidebar_color : String?
	let setting_active_sidebar_background : String?
	let setting_sidebar_background : String?
	let setting_sidebar_color : String?
	let logo_extension : String?
	let online_sidebar : String?
	let background_extension : String?
	let profile_privacy : String?
	let video_upload : String?
	let audio_upload : String?
	let smtp_or_mail : String?
	let smtp_username : String?
	let smtp_host : String?
	let smtp_password : String?
	let smtp_port : String?
	let smtp_encryption : String?
	let sms_or_email : String?
	let sms_username : String?
	let sms_password : String?
	let sms_phone_number : String?
	let is_ok : String?
	let pro : String?
	let paypal_id : String?
	let paypal_secret : String?
	let paypal_mode : String?
	let weekly_price : String?
	let monthly_price : String?
	let yearly_price : String?
	let lifetime_price : String?
	let post_limit : String?
	let user_limit : String?
	let css_upload : String?
	let smooth_loading : String?
	let header_search_color : String?
	let header_button_shadow : String?
	let currency : String?
	let games : String?
	let last_backup : String?
	let pages : String?
	let groups : String?
	let order_posts_by : String?
	let btn_disabled : String?
	let developers_page : String?
	let user_registration : String?
	let maintenance_mode : String?
	let video_chat : String?
	let video_accountSid : String?
	let video_apiKeySid : String?
	let video_apiKeySecret : String?
	let video_configurationProfileSid : String?
	let eapi : String?
	let favicon_extension : String?
	let monthly_boosts : String?
	let yearly_boosts : String?
	let lifetime_boosts : String?
	let chat_outgoing_background : String?
	let windows_app_version : String?
	let widnows_app_api_id : String?
	let widnows_app_api_key : String?
	let stripe_id : String?
	let stripe_secret : String?
	let credit_card : String?
	let bitcoin : String?
	let m_withdrawal : String?
	let amount_ref : String?
	let affiliate_type : String?
	let affiliate_system : String?
	let classified : String?
	let amazone_s3 : String?
	let bucket_name : String?
	let amazone_s3_key : String?
	let amazone_s3_s_key : String?
	let region : String?
	let footer_background : String?
	let is_utf8 : String?
	let alipay : String?
	let sms_t_phone_number : String?
	let audio_chat : String?
	let sms_twilio_username : String?
	let sms_twilio_password : String?
	let sms_provider : String?
	let footer_text_color : String?
	let updated_latest : String?
	let classified_currency : String?
	let classified_currency_s : String?
	let mime_types : String?
	let footer_background_2 : String?
	let footer_background_n : String?
	let blogs : String?
	let can_blogs : String?
	let push : String?
	let android_m_push_id : String?
	let android_m_push_key : String?
	let events : String?
	let forum : String?
	let last_update : String?
	let movies : String?
	let yandex_translation_api : String?
	let update_db_15 : String?
	let ad_v_price : String?
	let ad_c_price : String?
	let emo_cdn : String?
	let user_ads : String?
	let user_status : String?
	let date_style : String?
	let stickers : String?
	let giphy_api : String?
	let find_friends : String?
	let update_db_152 : String?
	let script_version : String?
	let android_push_native : String?
	let android_push_messages : String?
	let update_db_153 : String?
	let ads_currency : String?
	let web_push : String?
	let playtube_url : String?
	let connectivitySystemLimit : String?
	let video_ad_skip : String?
	let update_user_profile : String?
	let cache_sidebar : String?
	let android_n_push_id : String?
	let android_n_push_key : String?
	let ftp_host : String?
	let ftp_port : String?
	let ftp_username : String?
	let ftp_password : String?
	let ftp_upload : String?
	let ftp_endpoint : String?
	let ftp_path : String?
	let transaction_log : String?
	let coinpayments_secret : String?
	let coinpayments_id : String?
	let infobip_username : String?
	let infobip_password : String?
	let updatev2 : String?
	let amount_percent_ref : String?
	let gift_system : String?
	let social_share_twitter : String?
	let social_share_google : String?
	let social_share_facebook : String?
	let social_share_whatsup : String?
	let social_share_pinterest : String?
	let social_share_linkedin : String?
	let social_share_telegram : String?
	let stickers_system : String?
	let dollar_to_point_cost : String?
	let comments_point : String?
	let likes_point : String?
	let dislikes_point : String?
	let wonders_point : String?
	let reaction_point : String?
	let createpost_point : String?
	let point_allow_withdrawal : String?
	let sticky_video_player : String?
	let point_level_system : String?
	let comment_reports : String?
	let popular_posts : String?
	let auto_friend_users : String?
	let spaces_key : String?
	let spaces_secret : String?
	let space_name : String?
	let space_region : String?
	let spaces : String?
	let watermark : String?
	let google_map : String?
	let login_auth : String?
	let two_factor : String?
	let two_factor_type : String?
	let last_notification_delete_run : String?
	let ios_push_messages : String?
	let ios_m_push_id : String?
	let ios_m_push_key : String?
	let ios_push_native : String?
	let ios_n_push_id : String?
	let ios_n_push_key : String?
	let web_push_id : String?
	let web_push_key : String?
	let profile_back : String?
	let free_day_limit : String?
	let adult_images : String?
	let adult_images_action : String?
	let adult_images_file : String?
	let pro_day_limit : String?
	let vision_api_key : String?
	let recaptcha_secret_key : String?
	let bank_payment : String?
	let bank_transfer_note : String?
	let bank_description : String?
	let createblog_point : String?
	let deepsound_url : String?
	let english : String?
	let arabic : String?
	let dutch : String?
	let french : String?
	let german : String?
	let italian : String?
	let portuguese : String?
	let russian : String?
	let spanish : String?
	let turkish : String?
	let currency_array : CurrencyArrayUnion?
	let currency_symbol_array : Currency_Symbol_Array?
	let paypal_currency : String?
	let stripe_currency : String?
	let two_checkout_currency : String?
	let version : String?
	let forum_visibility : String?
	let events_visibility : String?
	let product_visibility : String?
	let paypal : String?
	let poke_system : String?
	let afternoon_system : String?
	let providers_array : String?
	let colored_posts_system : String?
	let checkout_payment : String?
	let checkout_mode : String?
	let checkout_seller_id : String?
	let checkout_publishable_key : String?
	let checkout_private_key : String?
	let job_system : String?
	let weather_widget : String?
	let common_things : String?
	let funding_system : String?
	let funding_request : String?
	let donate_percentage : String?
	let weather_key : String?
	let post_approval : String?
	let auto_page_like : String?
	let auto_group_join : String?
	let memories_system : String?
	let membership_system : String?
	let recurring_payment : String?
	let who_upload : String?
	let who_call : String?
	let blog_approval : String?
	let refund_system : String?
	let paystack_payment : String?
	let paystack_secret_key : String?
	let cashfree_payment : String?
	let cashfree_client_key : String?
	let cashfree_secret_key : String?
	let msg91_authKey : String?
	let offer_system : String?
	let nearby_shop_system : String?
	let nearby_business_system : String?
	let prevent_system : String?
	let bad_login_limit : String?
	let lock_time : String?
	let password_complexity_system : String?
	let invite_links_system : String?
	let user_links_limit : String?
	let expire_user_links : String?
	let shout_box_system : String?
	let bank_withdrawal_system : String?
	let live_video : String?
	let live_token : String?
	let live_account_id : String?
	let razorpay_payment : String?
	let razorpay_key_id : String?
	let razorpay_key_secret : String?
	let paysera_payment : String?
	let paysera_project_id : String?
	let paysera_sign_password : String?
	let paysera_mode : String?
	let cloud_upload : String?
	let cloud_file_path : String?
	let cloud_bucket_name : String?
	let live_video_save : String?
	let notify_new_post : String?
	let agora_app_id : String?
	let agora_live_video : String?
	let millicast_live_video : String?
	let agora_customer_id : String?
	let agora_customer_certificate : String?
	let yahoo_consumer_key : String?
	let yahoo_consumer_secret : String?
	let cashfree_mode : String?
	let amazone_s3_2 : String?
	let bucket_name_2 : String?
	let amazone_s3_key_2 : String?
	let amazone_s3_s_key_2 : String?
	let region_2 : String?
	let indonesia : String?
	let node_socket_flow : String?
	let redis : String?
	let youtube_api_key : String?
	let redis_port : String?
	let nodejs_port : String?
	let nodejs_ssl : String?
	let nodejs_key_path : String?
	let nodejs_cert_path : String?
	let nodejs_ssl_port : String?
	let nodejs_live_notification : String?
	let auto_username : String?
	let agora_app_certificate : String?
	let agora_chat_video : String?
	let agora_chat_app_id : String?
	let agora_chat_app_certificate : String?
	let agora_chat_customer_id : String?
	let agora_chat_customer_certificate : String?
	let qqLogin : String?
	let qqAppId : String?
	let qqAppkey : String?
	let weChatLogin : String?
	let weChatAppId : String?
	let weChatAppkey : String?
	let discordLogin : String?
	let discordAppId : String?
	let discordAppkey : String?
	let mailruLogin : String?
	let mailruAppId : String?
	let mailruAppkey : String?
	let twilio_video_chat : String?
	let ffmpeg_binary_file : String?
	let ffmpeg_system : String?
	let convert_speed : String?
	let allowedffmpegExtenstion : String?
	let ffmpeg_mime_types : String?
	let msg91_dlt_id : String?
	let store_system : String?
	let exchange : String?
	let exchange_update : String?
	let store_commission : String?
	let store_review_system : String?
	let website_mode : String?
	let post_location : String?
	let post_feelings : String?
	let post_poll : String?
	let affiliate_level : String?
	let coinbase_payment : String?
	let coinbase_key : String?
	let wasabi_storage : String?
	let wasabi_access_key : String?
	let wasabi_secret_key : String?
	let wasabi_bucket_name : String?
	let wasabi_bucket_region : String?
	let remember_device : String?
	let infobip_api_key : String?
	let infobip_base_url : String?
	let yandex_map : String?
	let yandex_map_api : String?
	let yoomoney_payment : String?
	let yoomoney_wallet_id : String?
	let yoomoney_notifications_secret : String?
	let iyzipay_payment : String?
	let iyzipay_mode : String?
	let iyzipay_key : String?
	let iyzipay_secret_key : String?
	let iyzipay_buyer_id : String?
	let iyzipay_buyer_name : String?
	let iyzipay_buyer_surname : String?
	let iyzipay_buyer_gsm_number : String?
	let iyzipay_buyer_email : String?
	let iyzipay_identity_number : String?
	let iyzipay_address : String?
	let iyzipay_city : String?
	let iyzipay_country : String?
	let iyzipay_zip : String?
	let securionpay_payment : String?
	let securionpay_public_key : String?
	let securionpay_secret_key : String?
	let authorize_payment : String?
	let authorize_test_mode : String?
	let authorize_login_id : String?
	let authorize_transaction_key : String?
	let okLogin : String?
	let okAppId : String?
	let okAppPublickey : String?
	let okAppSecretkey : String?
	let native_android_messenger_url : String?
	let native_android_timeline_url : String?
	let native_ios_messenger_url : String?
	let native_ios_timeline_url : String?
	let native_windows_messenger_url : String?
	let fluttewave_payment : String?
	let fluttewave_secret_key : String?
	let fortumo_payment : String?
	let fortumo_service_id : String?
	let aamarpay_payment : String?
	let aamarpay_mode : String?
	let aamarpay_store_id : String?
	let aamarpay_signature_key : String?
	let ngenius_payment : String?
	let ngenius_mode : String?
	let ngenius_api_key : String?
	let ngenius_outlet_id : String?
	let coinpayments_public_key : String?
	let coinpayments_coins : String?
	let coinpayments_coin : String?
	let withdrawal_payment_method : String?
	let custom_name : String?
	let job_request : String?
	let game_request : String?
	let market_request : String?
	let event_request : String?
	let forum_request : String?
	let groups_request : String?
	let pages_request : String?
	let video_call_request : String?
	let audio_call_request : String?
	let offer_request : String?
	let blog_request : String?
	let movies_request : String?
	let story_request : String?
	let stickers_request : String?
	let gif_request : String?
	let gift_request : String?
	let nearby_request : String?
	let video_upload_request : String?
	let audio_upload_request : String?
	let shout_box_request : String?
	let colored_posts_request : String?
	let poll_request : String?
	let live_request : String?
	let profile_background_request : String?
	let chat_request : String?
	let report_reasons : String?
	let developer_mode : String?
	let affiliate_request : String?
	let yandex_translate : String?
	let google_translate : String?
	let google_translation_api : String?
	let backblaze_storage : String?
	let backblaze_bucket_id : String?
	let backblaze_bucket_endpoint : String?
	let backblaze_access_key_id : String?
	let backblaze_access_key : String?
	let backblaze_bucket_name : String?
	let amazon_endpoint : String?
	let spaces_endpoint : String?
	let wasabi_endpoint : String?
	let backblaze_endpoint : String?
	let cloud_endpoint : String?
	let cronjob_last_run : String?
	let backblaze_bucket_region : String?
	let chinese : String?
	let hindi : String?
	let urdu : String?
	let indonesian : String?
	let croatian : String?
	let hebrew : String?
	let bengali : String?
	let japanese : String?
	let persian : String?
	let danish : String?
	let swedish : String?
	let vietnamese : String?
	let filipino : String?
	let korean : String?
	let images_quality : String?
	let reserved_usernames_system : String?
	let reserved_usernames : String?
	let tiktok_login : String?
	let tiktok_client_key : String?
	let tiktok_client_secret : String?
	let disable_start_up : String?
	let ai_image_system : String?
	let replicate_token : String?
	let openai_token : String?
	let ai_post_system : String?
	let ai_user_system : String?
	let images_ai : String?
	let post_ai : String?
	let user_ai : String?
	let openai_text_model : String?
	let midjeourny_model : String?
	let num_inference_steps : String?
	let guidance_scale : String?
	let seed : String?
	let scheduler : String?
	let prompt_strength : String?
	let negative_prompt : String?
	let ai_image_use : String?
	let ai_post_use : String?
	let ai_user_use : String?
	let generated_image_price : String?
	let credit_price : String?
	let images_credit_system : String?
	let text_credit_system : String?
	let generated_word_price : String?
	let ai_blog_system : String?
	let ai_blog_use : String?
	let blog_ai : String?
	let braintree_payment : String?
	let braintree_mode : String?
	let braintree_merchant_id : String?
	let braintree_public_key : String?
	let braintree_private_key : String?
	let braintree_token : String?
	let google_authenticator : String?
	let authy_settings : String?
	let authy_token : String?
	let logo_url : String?
	let page_categories : Categories_Model?
	let group_categories : Categories_Model?
	let blog_categories : Categories_Model?
	let products_categories : Categories_Model?
	let job_categories : Categories_Model?
	let genders : Genders?
	let family : Categories_Model?
	let fields : [String]?
	let movie_category : Movie_Category?
	let post_colors : Post_Colors_Union?
	let page_sub_categories : Sub_Categories_Model_Union?
	let group_sub_categories : Sub_Categories_Model_Union?
	let products_sub_categories : [String]?
	let page_custom_fields : [String]?
	let group_custom_fields : [String]?
	let product_custom_fields : [String]?
	let post_reactions_types : Post_Reactions_Types?
	let pro_packages : Pro_Packages?

	enum CodingKeys: String, CodingKey {

		case siteName = "siteName"
		case siteTitle = "siteTitle"
		case siteKeywords = "siteKeywords"
		case siteDesc = "siteDesc"
		case siteEmail = "siteEmail"
		case defualtLang = "defualtLang"
		case emailValidation = "emailValidation"
		case emailNotification = "emailNotification"
		case fileSharing = "fileSharing"
		case seoLink = "seoLink"
		case cacheSystem = "cacheSystem"
		case chatSystem = "chatSystem"
		case useSeoFrindly = "useSeoFrindly"
		case reCaptcha = "reCaptcha"
		case reCaptchaKey = "reCaptchaKey"
		case user_lastseen = "user_lastseen"
		case age = "age"
		case deleteAccount = "deleteAccount"
		case connectivitySystem = "connectivitySystem"
		case profileVisit = "profileVisit"
		case maxUpload = "maxUpload"
		case maxCharacters = "maxCharacters"
		case message_seen = "message_seen"
		case message_typing = "message_typing"
		case google_map_api = "google_map_api"
		case allowedExtenstion = "allowedExtenstion"
		case censored_words = "censored_words"
		case googleAnalytics = "googleAnalytics"
		case allLogin = "AllLogin"
		case googleLogin = "googleLogin"
		case facebookLogin = "facebookLogin"
		case twitterLogin = "twitterLogin"
		case linkedinLogin = "linkedinLogin"
		case vkontakteLogin = "VkontakteLogin"
		case facebookAppId = "facebookAppId"
		case facebookAppKey = "facebookAppKey"
		case googleAppId = "googleAppId"
		case googleAppKey = "googleAppKey"
		case twitterAppId = "twitterAppId"
		case twitterAppKey = "twitterAppKey"
		case linkedinAppId = "linkedinAppId"
		case linkedinAppKey = "linkedinAppKey"
		case vkontakteAppId = "VkontakteAppId"
		case vkontakteAppKey = "VkontakteAppKey"
		case theme = "theme"
		case second_post_button = "second_post_button"
		case instagramAppId = "instagramAppId"
		case instagramAppkey = "instagramAppkey"
		case instagramLogin = "instagramLogin"
		case header_background = "header_background"
		case header_hover_border = "header_hover_border"
		case header_color = "header_color"
		case body_background = "body_background"
		case btn_color = "btn_color"
		case btn_background_color = "btn_background_color"
		case btn_hover_color = "btn_hover_color"
		case btn_hover_background_color = "btn_hover_background_color"
		case setting_header_color = "setting_header_color"
		case setting_header_background = "setting_header_background"
		case setting_active_sidebar_color = "setting_active_sidebar_color"
		case setting_active_sidebar_background = "setting_active_sidebar_background"
		case setting_sidebar_background = "setting_sidebar_background"
		case setting_sidebar_color = "setting_sidebar_color"
		case logo_extension = "logo_extension"
		case online_sidebar = "online_sidebar"
		case background_extension = "background_extension"
		case profile_privacy = "profile_privacy"
		case video_upload = "video_upload"
		case audio_upload = "audio_upload"
		case smtp_or_mail = "smtp_or_mail"
		case smtp_username = "smtp_username"
		case smtp_host = "smtp_host"
		case smtp_password = "smtp_password"
		case smtp_port = "smtp_port"
		case smtp_encryption = "smtp_encryption"
		case sms_or_email = "sms_or_email"
		case sms_username = "sms_username"
		case sms_password = "sms_password"
		case sms_phone_number = "sms_phone_number"
		case is_ok = "is_ok"
		case pro = "pro"
		case paypal_id = "paypal_id"
		case paypal_secret = "paypal_secret"
		case paypal_mode = "paypal_mode"
		case weekly_price = "weekly_price"
		case monthly_price = "monthly_price"
		case yearly_price = "yearly_price"
		case lifetime_price = "lifetime_price"
		case post_limit = "post_limit"
		case user_limit = "user_limit"
		case css_upload = "css_upload"
		case smooth_loading = "smooth_loading"
		case header_search_color = "header_search_color"
		case header_button_shadow = "header_button_shadow"
		case currency = "currency"
		case games = "games"
		case last_backup = "last_backup"
		case pages = "pages"
		case groups = "groups"
		case order_posts_by = "order_posts_by"
		case btn_disabled = "btn_disabled"
		case developers_page = "developers_page"
		case user_registration = "user_registration"
		case maintenance_mode = "maintenance_mode"
		case video_chat = "video_chat"
		case video_accountSid = "video_accountSid"
		case video_apiKeySid = "video_apiKeySid"
		case video_apiKeySecret = "video_apiKeySecret"
		case video_configurationProfileSid = "video_configurationProfileSid"
		case eapi = "eapi"
		case favicon_extension = "favicon_extension"
		case monthly_boosts = "monthly_boosts"
		case yearly_boosts = "yearly_boosts"
		case lifetime_boosts = "lifetime_boosts"
		case chat_outgoing_background = "chat_outgoing_background"
		case windows_app_version = "windows_app_version"
		case widnows_app_api_id = "widnows_app_api_id"
		case widnows_app_api_key = "widnows_app_api_key"
		case stripe_id = "stripe_id"
		case stripe_secret = "stripe_secret"
		case credit_card = "credit_card"
		case bitcoin = "bitcoin"
		case m_withdrawal = "m_withdrawal"
		case amount_ref = "amount_ref"
		case affiliate_type = "affiliate_type"
		case affiliate_system = "affiliate_system"
		case classified = "classified"
		case amazone_s3 = "amazone_s3"
		case bucket_name = "bucket_name"
		case amazone_s3_key = "amazone_s3_key"
		case amazone_s3_s_key = "amazone_s3_s_key"
		case region = "region"
		case footer_background = "footer_background"
		case is_utf8 = "is_utf8"
		case alipay = "alipay"
		case sms_t_phone_number = "sms_t_phone_number"
		case audio_chat = "audio_chat"
		case sms_twilio_username = "sms_twilio_username"
		case sms_twilio_password = "sms_twilio_password"
		case sms_provider = "sms_provider"
		case footer_text_color = "footer_text_color"
		case updated_latest = "updated_latest"
		case classified_currency = "classified_currency"
		case classified_currency_s = "classified_currency_s"
		case mime_types = "mime_types"
		case footer_background_2 = "footer_background_2"
		case footer_background_n = "footer_background_n"
		case blogs = "blogs"
		case can_blogs = "can_blogs"
		case push = "push"
		case android_m_push_id = "android_m_push_id"
		case android_m_push_key = "android_m_push_key"
		case events = "events"
		case forum = "forum"
		case last_update = "last_update"
		case movies = "movies"
		case yandex_translation_api = "yandex_translation_api"
		case update_db_15 = "update_db_15"
		case ad_v_price = "ad_v_price"
		case ad_c_price = "ad_c_price"
		case emo_cdn = "emo_cdn"
		case user_ads = "user_ads"
		case user_status = "user_status"
		case date_style = "date_style"
		case stickers = "stickers"
		case giphy_api = "giphy_api"
		case find_friends = "find_friends"
		case update_db_152 = "update_db_152"
		case script_version = "script_version"
		case android_push_native = "android_push_native"
		case android_push_messages = "android_push_messages"
		case update_db_153 = "update_db_153"
		case ads_currency = "ads_currency"
		case web_push = "web_push"
		case playtube_url = "playtube_url"
		case connectivitySystemLimit = "connectivitySystemLimit"
		case video_ad_skip = "video_ad_skip"
		case update_user_profile = "update_user_profile"
		case cache_sidebar = "cache_sidebar"
		case android_n_push_id = "android_n_push_id"
		case android_n_push_key = "android_n_push_key"
		case ftp_host = "ftp_host"
		case ftp_port = "ftp_port"
		case ftp_username = "ftp_username"
		case ftp_password = "ftp_password"
		case ftp_upload = "ftp_upload"
		case ftp_endpoint = "ftp_endpoint"
		case ftp_path = "ftp_path"
		case transaction_log = "transaction_log"
		case coinpayments_secret = "coinpayments_secret"
		case coinpayments_id = "coinpayments_id"
		case infobip_username = "infobip_username"
		case infobip_password = "infobip_password"
		case updatev2 = "updatev2"
		case amount_percent_ref = "amount_percent_ref"
		case gift_system = "gift_system"
		case social_share_twitter = "social_share_twitter"
		case social_share_google = "social_share_google"
		case social_share_facebook = "social_share_facebook"
		case social_share_whatsup = "social_share_whatsup"
		case social_share_pinterest = "social_share_pinterest"
		case social_share_linkedin = "social_share_linkedin"
		case social_share_telegram = "social_share_telegram"
		case stickers_system = "stickers_system"
		case dollar_to_point_cost = "dollar_to_point_cost"
		case comments_point = "comments_point"
		case likes_point = "likes_point"
		case dislikes_point = "dislikes_point"
		case wonders_point = "wonders_point"
		case reaction_point = "reaction_point"
		case createpost_point = "createpost_point"
		case point_allow_withdrawal = "point_allow_withdrawal"
		case sticky_video_player = "sticky_video_player"
		case point_level_system = "point_level_system"
		case comment_reports = "comment_reports"
		case popular_posts = "popular_posts"
		case auto_friend_users = "auto_friend_users"
		case spaces_key = "spaces_key"
		case spaces_secret = "spaces_secret"
		case space_name = "space_name"
		case space_region = "space_region"
		case spaces = "spaces"
		case watermark = "watermark"
		case google_map = "google_map"
		case login_auth = "login_auth"
		case two_factor = "two_factor"
		case two_factor_type = "two_factor_type"
		case last_notification_delete_run = "last_notification_delete_run"
		case ios_push_messages = "ios_push_messages"
		case ios_m_push_id = "ios_m_push_id"
		case ios_m_push_key = "ios_m_push_key"
		case ios_push_native = "ios_push_native"
		case ios_n_push_id = "ios_n_push_id"
		case ios_n_push_key = "ios_n_push_key"
		case web_push_id = "web_push_id"
		case web_push_key = "web_push_key"
		case profile_back = "profile_back"
		case free_day_limit = "free_day_limit"
		case adult_images = "adult_images"
		case adult_images_action = "adult_images_action"
		case adult_images_file = "adult_images_file"
		case pro_day_limit = "pro_day_limit"
		case vision_api_key = "vision_api_key"
		case recaptcha_secret_key = "recaptcha_secret_key"
		case bank_payment = "bank_payment"
		case bank_transfer_note = "bank_transfer_note"
		case bank_description = "bank_description"
		case createblog_point = "createblog_point"
		case deepsound_url = "deepsound_url"
		case english = "english"
		case arabic = "arabic"
		case dutch = "dutch"
		case french = "french"
		case german = "german"
		case italian = "italian"
		case portuguese = "portuguese"
		case russian = "russian"
		case spanish = "spanish"
		case turkish = "turkish"
		case currency_array = "currency_array"
		case currency_symbol_array = "currency_symbol_array"
		case paypal_currency = "paypal_currency"
		case stripe_currency = "stripe_currency"
		case two_checkout_currency = "2checkout_currency"
		case version = "version"
		case forum_visibility = "forum_visibility"
		case events_visibility = "events_visibility"
		case product_visibility = "product_visibility"
		case paypal = "paypal"
		case poke_system = "poke_system"
		case afternoon_system = "afternoon_system"
		case providers_array = "providers_array"
		case colored_posts_system = "colored_posts_system"
		case checkout_payment = "checkout_payment"
		case checkout_mode = "checkout_mode"
		case checkout_seller_id = "checkout_seller_id"
		case checkout_publishable_key = "checkout_publishable_key"
		case checkout_private_key = "checkout_private_key"
		case job_system = "job_system"
		case weather_widget = "weather_widget"
		case common_things = "common_things"
		case funding_system = "funding_system"
		case funding_request = "funding_request"
		case donate_percentage = "donate_percentage"
		case weather_key = "weather_key"
		case post_approval = "post_approval"
		case auto_page_like = "auto_page_like"
		case auto_group_join = "auto_group_join"
		case memories_system = "memories_system"
		case membership_system = "membership_system"
		case recurring_payment = "recurring_payment"
		case who_upload = "who_upload"
		case who_call = "Who_call"
		case blog_approval = "blog_approval"
		case refund_system = "refund_system"
		case paystack_payment = "paystack_payment"
		case paystack_secret_key = "paystack_secret_key"
		case cashfree_payment = "cashfree_payment"
		case cashfree_client_key = "cashfree_client_key"
		case cashfree_secret_key = "cashfree_secret_key"
		case msg91_authKey = "msg91_authKey"
		case offer_system = "offer_system"
		case nearby_shop_system = "nearby_shop_system"
		case nearby_business_system = "nearby_business_system"
		case prevent_system = "prevent_system"
		case bad_login_limit = "bad_login_limit"
		case lock_time = "lock_time"
		case password_complexity_system = "password_complexity_system"
		case invite_links_system = "invite_links_system"
		case user_links_limit = "user_links_limit"
		case expire_user_links = "expire_user_links"
		case shout_box_system = "shout_box_system"
		case bank_withdrawal_system = "bank_withdrawal_system"
		case live_video = "live_video"
		case live_token = "live_token"
		case live_account_id = "live_account_id"
		case razorpay_payment = "razorpay_payment"
		case razorpay_key_id = "razorpay_key_id"
		case razorpay_key_secret = "razorpay_key_secret"
		case paysera_payment = "paysera_payment"
		case paysera_project_id = "paysera_project_id"
		case paysera_sign_password = "paysera_sign_password"
		case paysera_mode = "paysera_mode"
		case cloud_upload = "cloud_upload"
		case cloud_file_path = "cloud_file_path"
		case cloud_bucket_name = "cloud_bucket_name"
		case live_video_save = "live_video_save"
		case notify_new_post = "notify_new_post"
		case agora_app_id = "agora_app_id"
		case agora_live_video = "agora_live_video"
		case millicast_live_video = "millicast_live_video"
		case agora_customer_id = "agora_customer_id"
		case agora_customer_certificate = "agora_customer_certificate"
		case yahoo_consumer_key = "yahoo_consumer_key"
		case yahoo_consumer_secret = "yahoo_consumer_secret"
		case cashfree_mode = "cashfree_mode"
		case amazone_s3_2 = "amazone_s3_2"
		case bucket_name_2 = "bucket_name_2"
		case amazone_s3_key_2 = "amazone_s3_key_2"
		case amazone_s3_s_key_2 = "amazone_s3_s_key_2"
		case region_2 = "region_2"
		case indonesia = "indonesia"
		case node_socket_flow = "node_socket_flow"
		case redis = "redis"
		case youtube_api_key = "youtube_api_key"
		case redis_port = "redis_port"
		case nodejs_port = "nodejs_port"
		case nodejs_ssl = "nodejs_ssl"
		case nodejs_key_path = "nodejs_key_path"
		case nodejs_cert_path = "nodejs_cert_path"
		case nodejs_ssl_port = "nodejs_ssl_port"
		case nodejs_live_notification = "nodejs_live_notification"
		case auto_username = "auto_username"
		case agora_app_certificate = "agora_app_certificate"
		case agora_chat_video = "agora_chat_video"
		case agora_chat_app_id = "agora_chat_app_id"
		case agora_chat_app_certificate = "agora_chat_app_certificate"
		case agora_chat_customer_id = "agora_chat_customer_id"
		case agora_chat_customer_certificate = "agora_chat_customer_certificate"
		case qqLogin = "qqLogin"
		case qqAppId = "qqAppId"
		case qqAppkey = "qqAppkey"
		case weChatLogin = "WeChatLogin"
		case weChatAppId = "WeChatAppId"
		case weChatAppkey = "WeChatAppkey"
		case discordLogin = "DiscordLogin"
		case discordAppId = "DiscordAppId"
		case discordAppkey = "DiscordAppkey"
		case mailruLogin = "MailruLogin"
		case mailruAppId = "MailruAppId"
		case mailruAppkey = "MailruAppkey"
		case twilio_video_chat = "twilio_video_chat"
		case ffmpeg_binary_file = "ffmpeg_binary_file"
		case ffmpeg_system = "ffmpeg_system"
		case convert_speed = "convert_speed"
		case allowedffmpegExtenstion = "allowedffmpegExtenstion"
		case ffmpeg_mime_types = "ffmpeg_mime_types"
		case msg91_dlt_id = "msg91_dlt_id"
		case store_system = "store_system"
		case exchange = "exchange"
		case exchange_update = "exchange_update"
		case store_commission = "store_commission"
		case store_review_system = "store_review_system"
		case website_mode = "website_mode"
		case post_location = "post_location"
		case post_feelings = "post_feelings"
		case post_poll = "post_poll"
		case affiliate_level = "affiliate_level"
		case coinbase_payment = "coinbase_payment"
		case coinbase_key = "coinbase_key"
		case wasabi_storage = "wasabi_storage"
		case wasabi_access_key = "wasabi_access_key"
		case wasabi_secret_key = "wasabi_secret_key"
		case wasabi_bucket_name = "wasabi_bucket_name"
		case wasabi_bucket_region = "wasabi_bucket_region"
		case remember_device = "remember_device"
		case infobip_api_key = "infobip_api_key"
		case infobip_base_url = "infobip_base_url"
		case yandex_map = "yandex_map"
		case yandex_map_api = "yandex_map_api"
		case yoomoney_payment = "yoomoney_payment"
		case yoomoney_wallet_id = "yoomoney_wallet_id"
		case yoomoney_notifications_secret = "yoomoney_notifications_secret"
		case iyzipay_payment = "iyzipay_payment"
		case iyzipay_mode = "iyzipay_mode"
		case iyzipay_key = "iyzipay_key"
		case iyzipay_secret_key = "iyzipay_secret_key"
		case iyzipay_buyer_id = "iyzipay_buyer_id"
		case iyzipay_buyer_name = "iyzipay_buyer_name"
		case iyzipay_buyer_surname = "iyzipay_buyer_surname"
		case iyzipay_buyer_gsm_number = "iyzipay_buyer_gsm_number"
		case iyzipay_buyer_email = "iyzipay_buyer_email"
		case iyzipay_identity_number = "iyzipay_identity_number"
		case iyzipay_address = "iyzipay_address"
		case iyzipay_city = "iyzipay_city"
		case iyzipay_country = "iyzipay_country"
		case iyzipay_zip = "iyzipay_zip"
		case securionpay_payment = "securionpay_payment"
		case securionpay_public_key = "securionpay_public_key"
		case securionpay_secret_key = "securionpay_secret_key"
		case authorize_payment = "authorize_payment"
		case authorize_test_mode = "authorize_test_mode"
		case authorize_login_id = "authorize_login_id"
		case authorize_transaction_key = "authorize_transaction_key"
		case okLogin = "OkLogin"
		case okAppId = "OkAppId"
		case okAppPublickey = "OkAppPublickey"
		case okAppSecretkey = "OkAppSecretkey"
		case native_android_messenger_url = "native_android_messenger_url"
		case native_android_timeline_url = "native_android_timeline_url"
		case native_ios_messenger_url = "native_ios_messenger_url"
		case native_ios_timeline_url = "native_ios_timeline_url"
		case native_windows_messenger_url = "native_windows_messenger_url"
		case fluttewave_payment = "fluttewave_payment"
		case fluttewave_secret_key = "fluttewave_secret_key"
		case fortumo_payment = "fortumo_payment"
		case fortumo_service_id = "fortumo_service_id"
		case aamarpay_payment = "aamarpay_payment"
		case aamarpay_mode = "aamarpay_mode"
		case aamarpay_store_id = "aamarpay_store_id"
		case aamarpay_signature_key = "aamarpay_signature_key"
		case ngenius_payment = "ngenius_payment"
		case ngenius_mode = "ngenius_mode"
		case ngenius_api_key = "ngenius_api_key"
		case ngenius_outlet_id = "ngenius_outlet_id"
		case coinpayments_public_key = "coinpayments_public_key"
		case coinpayments_coins = "coinpayments_coins"
		case coinpayments_coin = "coinpayments_coin"
		case withdrawal_payment_method = "withdrawal_payment_method"
		case custom_name = "custom_name"
		case job_request = "job_request"
		case game_request = "game_request"
		case market_request = "market_request"
		case event_request = "event_request"
		case forum_request = "forum_request"
		case groups_request = "groups_request"
		case pages_request = "pages_request"
		case video_call_request = "video_call_request"
		case audio_call_request = "audio_call_request"
		case offer_request = "offer_request"
		case blog_request = "blog_request"
		case movies_request = "movies_request"
		case story_request = "story_request"
		case stickers_request = "stickers_request"
		case gif_request = "gif_request"
		case gift_request = "gift_request"
		case nearby_request = "nearby_request"
		case video_upload_request = "video_upload_request"
		case audio_upload_request = "audio_upload_request"
		case shout_box_request = "shout_box_request"
		case colored_posts_request = "colored_posts_request"
		case poll_request = "poll_request"
		case live_request = "live_request"
		case profile_background_request = "profile_background_request"
		case chat_request = "chat_request"
		case report_reasons = "report_reasons"
		case developer_mode = "developer_mode"
		case affiliate_request = "affiliate_request"
		case yandex_translate = "yandex_translate"
		case google_translate = "google_translate"
		case google_translation_api = "google_translation_api"
		case backblaze_storage = "backblaze_storage"
		case backblaze_bucket_id = "backblaze_bucket_id"
		case backblaze_bucket_endpoint = "backblaze_bucket_endpoint"
		case backblaze_access_key_id = "backblaze_access_key_id"
		case backblaze_access_key = "backblaze_access_key"
		case backblaze_bucket_name = "backblaze_bucket_name"
		case amazon_endpoint = "amazon_endpoint"
		case spaces_endpoint = "spaces_endpoint"
		case wasabi_endpoint = "wasabi_endpoint"
		case backblaze_endpoint = "backblaze_endpoint"
		case cloud_endpoint = "cloud_endpoint"
		case cronjob_last_run = "cronjob_last_run"
		case backblaze_bucket_region = "backblaze_bucket_region"
		case chinese = "chinese"
		case hindi = "hindi"
		case urdu = "urdu"
		case indonesian = "indonesian"
		case croatian = "croatian"
		case hebrew = "hebrew"
		case bengali = "bengali"
		case japanese = "japanese"
		case persian = "persian"
		case danish = "danish"
		case swedish = "swedish"
		case vietnamese = "vietnamese"
		case filipino = "filipino"
		case korean = "korean"
		case images_quality = "images_quality"
		case reserved_usernames_system = "reserved_usernames_system"
		case reserved_usernames = "reserved_usernames"
		case tiktok_login = "tiktok_login"
		case tiktok_client_key = "tiktok_client_key"
		case tiktok_client_secret = "tiktok_client_secret"
		case disable_start_up = "disable_start_up"
		case ai_image_system = "ai_image_system"
		case replicate_token = "replicate_token"
		case openai_token = "openai_token"
		case ai_post_system = "ai_post_system"
		case ai_user_system = "ai_user_system"
		case images_ai = "images_ai"
		case post_ai = "post_ai"
		case user_ai = "user_ai"
		case openai_text_model = "openai_text_model"
		case midjeourny_model = "midjeourny_model"
		case num_inference_steps = "num_inference_steps"
		case guidance_scale = "guidance_scale"
		case seed = "seed"
		case scheduler = "scheduler"
		case prompt_strength = "prompt_strength"
		case negative_prompt = "negative_prompt"
		case ai_image_use = "ai_image_use"
		case ai_post_use = "ai_post_use"
		case ai_user_use = "ai_user_use"
		case generated_image_price = "generated_image_price"
		case credit_price = "credit_price"
		case images_credit_system = "images_credit_system"
		case text_credit_system = "text_credit_system"
		case generated_word_price = "generated_word_price"
		case ai_blog_system = "ai_blog_system"
		case ai_blog_use = "ai_blog_use"
		case blog_ai = "blog_ai"
		case braintree_payment = "braintree_payment"
		case braintree_mode = "braintree_mode"
		case braintree_merchant_id = "braintree_merchant_id"
		case braintree_public_key = "braintree_public_key"
		case braintree_private_key = "braintree_private_key"
		case braintree_token = "braintree_token"
		case google_authenticator = "google_authenticator"
		case authy_settings = "authy_settings"
		case authy_token = "authy_token"
		case logo_url = "logo_url"
		case page_categories = "page_categories"
		case group_categories = "group_categories"
		case blog_categories = "blog_categories"
		case products_categories = "products_categories"
		case job_categories = "job_categories"
		case genders = "genders"
		case family = "family"
		case fields = "fields"
		case movie_category = "movie_category"
		case post_colors = "post_colors"
		case page_sub_categories = "page_sub_categories"
		case group_sub_categories = "group_sub_categories"
		case products_sub_categories = "products_sub_categories"
		case page_custom_fields = "page_custom_fields"
		case group_custom_fields = "group_custom_fields"
		case product_custom_fields = "product_custom_fields"
		case post_reactions_types = "post_reactions_types"
		case pro_packages = "pro_packages"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		siteName = try values.decodeIfPresent(String.self, forKey: .siteName)
		siteTitle = try values.decodeIfPresent(String.self, forKey: .siteTitle)
		siteKeywords = try values.decodeIfPresent(String.self, forKey: .siteKeywords)
		siteDesc = try values.decodeIfPresent(String.self, forKey: .siteDesc)
		siteEmail = try values.decodeIfPresent(String.self, forKey: .siteEmail)
		defualtLang = try values.decodeIfPresent(String.self, forKey: .defualtLang)
		emailValidation = try values.decodeIfPresent(String.self, forKey: .emailValidation)
		emailNotification = try values.decodeIfPresent(String.self, forKey: .emailNotification)
		fileSharing = try values.decodeIfPresent(String.self, forKey: .fileSharing)
		seoLink = try values.decodeIfPresent(String.self, forKey: .seoLink)
		cacheSystem = try values.decodeIfPresent(String.self, forKey: .cacheSystem)
		chatSystem = try values.decodeIfPresent(String.self, forKey: .chatSystem)
		useSeoFrindly = try values.decodeIfPresent(String.self, forKey: .useSeoFrindly)
		reCaptcha = try values.decodeIfPresent(String.self, forKey: .reCaptcha)
		reCaptchaKey = try values.decodeIfPresent(String.self, forKey: .reCaptchaKey)
		user_lastseen = try values.decodeIfPresent(String.self, forKey: .user_lastseen)
		age = try values.decodeIfPresent(String.self, forKey: .age)
		deleteAccount = try values.decodeIfPresent(String.self, forKey: .deleteAccount)
		connectivitySystem = try values.decodeIfPresent(String.self, forKey: .connectivitySystem)
		profileVisit = try values.decodeIfPresent(String.self, forKey: .profileVisit)
		maxUpload = try values.decodeIfPresent(String.self, forKey: .maxUpload)
		maxCharacters = try values.decodeIfPresent(String.self, forKey: .maxCharacters)
		message_seen = try values.decodeIfPresent(String.self, forKey: .message_seen)
		message_typing = try values.decodeIfPresent(String.self, forKey: .message_typing)
		google_map_api = try values.decodeIfPresent(String.self, forKey: .google_map_api)
		allowedExtenstion = try values.decodeIfPresent(String.self, forKey: .allowedExtenstion)
		censored_words = try values.decodeIfPresent(String.self, forKey: .censored_words)
		googleAnalytics = try values.decodeIfPresent(String.self, forKey: .googleAnalytics)
		allLogin = try values.decodeIfPresent(String.self, forKey: .allLogin)
		googleLogin = try values.decodeIfPresent(String.self, forKey: .googleLogin)
		facebookLogin = try values.decodeIfPresent(String.self, forKey: .facebookLogin)
		twitterLogin = try values.decodeIfPresent(String.self, forKey: .twitterLogin)
		linkedinLogin = try values.decodeIfPresent(String.self, forKey: .linkedinLogin)
		vkontakteLogin = try values.decodeIfPresent(String.self, forKey: .vkontakteLogin)
		facebookAppId = try values.decodeIfPresent(String.self, forKey: .facebookAppId)
		facebookAppKey = try values.decodeIfPresent(String.self, forKey: .facebookAppKey)
		googleAppId = try values.decodeIfPresent(String.self, forKey: .googleAppId)
		googleAppKey = try values.decodeIfPresent(String.self, forKey: .googleAppKey)
		twitterAppId = try values.decodeIfPresent(String.self, forKey: .twitterAppId)
		twitterAppKey = try values.decodeIfPresent(String.self, forKey: .twitterAppKey)
		linkedinAppId = try values.decodeIfPresent(String.self, forKey: .linkedinAppId)
		linkedinAppKey = try values.decodeIfPresent(String.self, forKey: .linkedinAppKey)
		vkontakteAppId = try values.decodeIfPresent(String.self, forKey: .vkontakteAppId)
		vkontakteAppKey = try values.decodeIfPresent(String.self, forKey: .vkontakteAppKey)
		theme = try values.decodeIfPresent(String.self, forKey: .theme)
		second_post_button = try values.decodeIfPresent(String.self, forKey: .second_post_button)
		instagramAppId = try values.decodeIfPresent(String.self, forKey: .instagramAppId)
		instagramAppkey = try values.decodeIfPresent(String.self, forKey: .instagramAppkey)
		instagramLogin = try values.decodeIfPresent(String.self, forKey: .instagramLogin)
		header_background = try values.decodeIfPresent(String.self, forKey: .header_background)
		header_hover_border = try values.decodeIfPresent(String.self, forKey: .header_hover_border)
		header_color = try values.decodeIfPresent(String.self, forKey: .header_color)
		body_background = try values.decodeIfPresent(String.self, forKey: .body_background)
		btn_color = try values.decodeIfPresent(String.self, forKey: .btn_color)
		btn_background_color = try values.decodeIfPresent(String.self, forKey: .btn_background_color)
		btn_hover_color = try values.decodeIfPresent(String.self, forKey: .btn_hover_color)
		btn_hover_background_color = try values.decodeIfPresent(String.self, forKey: .btn_hover_background_color)
		setting_header_color = try values.decodeIfPresent(String.self, forKey: .setting_header_color)
		setting_header_background = try values.decodeIfPresent(String.self, forKey: .setting_header_background)
		setting_active_sidebar_color = try values.decodeIfPresent(String.self, forKey: .setting_active_sidebar_color)
		setting_active_sidebar_background = try values.decodeIfPresent(String.self, forKey: .setting_active_sidebar_background)
		setting_sidebar_background = try values.decodeIfPresent(String.self, forKey: .setting_sidebar_background)
		setting_sidebar_color = try values.decodeIfPresent(String.self, forKey: .setting_sidebar_color)
		logo_extension = try values.decodeIfPresent(String.self, forKey: .logo_extension)
		online_sidebar = try values.decodeIfPresent(String.self, forKey: .online_sidebar)
		background_extension = try values.decodeIfPresent(String.self, forKey: .background_extension)
		profile_privacy = try values.decodeIfPresent(String.self, forKey: .profile_privacy)
		video_upload = try values.decodeIfPresent(String.self, forKey: .video_upload)
		audio_upload = try values.decodeIfPresent(String.self, forKey: .audio_upload)
		smtp_or_mail = try values.decodeIfPresent(String.self, forKey: .smtp_or_mail)
		smtp_username = try values.decodeIfPresent(String.self, forKey: .smtp_username)
		smtp_host = try values.decodeIfPresent(String.self, forKey: .smtp_host)
		smtp_password = try values.decodeIfPresent(String.self, forKey: .smtp_password)
		smtp_port = try values.decodeIfPresent(String.self, forKey: .smtp_port)
		smtp_encryption = try values.decodeIfPresent(String.self, forKey: .smtp_encryption)
		sms_or_email = try values.decodeIfPresent(String.self, forKey: .sms_or_email)
		sms_username = try values.decodeIfPresent(String.self, forKey: .sms_username)
		sms_password = try values.decodeIfPresent(String.self, forKey: .sms_password)
		sms_phone_number = try values.decodeIfPresent(String.self, forKey: .sms_phone_number)
		is_ok = try values.decodeIfPresent(String.self, forKey: .is_ok)
		pro = try values.decodeIfPresent(String.self, forKey: .pro)
		paypal_id = try values.decodeIfPresent(String.self, forKey: .paypal_id)
		paypal_secret = try values.decodeIfPresent(String.self, forKey: .paypal_secret)
		paypal_mode = try values.decodeIfPresent(String.self, forKey: .paypal_mode)
		weekly_price = try values.decodeIfPresent(String.self, forKey: .weekly_price)
		monthly_price = try values.decodeIfPresent(String.self, forKey: .monthly_price)
		yearly_price = try values.decodeIfPresent(String.self, forKey: .yearly_price)
		lifetime_price = try values.decodeIfPresent(String.self, forKey: .lifetime_price)
		post_limit = try values.decodeIfPresent(String.self, forKey: .post_limit)
		user_limit = try values.decodeIfPresent(String.self, forKey: .user_limit)
		css_upload = try values.decodeIfPresent(String.self, forKey: .css_upload)
		smooth_loading = try values.decodeIfPresent(String.self, forKey: .smooth_loading)
		header_search_color = try values.decodeIfPresent(String.self, forKey: .header_search_color)
		header_button_shadow = try values.decodeIfPresent(String.self, forKey: .header_button_shadow)
		currency = try values.decodeIfPresent(String.self, forKey: .currency)
		games = try values.decodeIfPresent(String.self, forKey: .games)
		last_backup = try values.decodeIfPresent(String.self, forKey: .last_backup)
		pages = try values.decodeIfPresent(String.self, forKey: .pages)
		groups = try values.decodeIfPresent(String.self, forKey: .groups)
		order_posts_by = try values.decodeIfPresent(String.self, forKey: .order_posts_by)
		btn_disabled = try values.decodeIfPresent(String.self, forKey: .btn_disabled)
		developers_page = try values.decodeIfPresent(String.self, forKey: .developers_page)
		user_registration = try values.decodeIfPresent(String.self, forKey: .user_registration)
		maintenance_mode = try values.decodeIfPresent(String.self, forKey: .maintenance_mode)
		video_chat = try values.decodeIfPresent(String.self, forKey: .video_chat)
		video_accountSid = try values.decodeIfPresent(String.self, forKey: .video_accountSid)
		video_apiKeySid = try values.decodeIfPresent(String.self, forKey: .video_apiKeySid)
		video_apiKeySecret = try values.decodeIfPresent(String.self, forKey: .video_apiKeySecret)
		video_configurationProfileSid = try values.decodeIfPresent(String.self, forKey: .video_configurationProfileSid)
		eapi = try values.decodeIfPresent(String.self, forKey: .eapi)
		favicon_extension = try values.decodeIfPresent(String.self, forKey: .favicon_extension)
		monthly_boosts = try values.decodeIfPresent(String.self, forKey: .monthly_boosts)
		yearly_boosts = try values.decodeIfPresent(String.self, forKey: .yearly_boosts)
		lifetime_boosts = try values.decodeIfPresent(String.self, forKey: .lifetime_boosts)
		chat_outgoing_background = try values.decodeIfPresent(String.self, forKey: .chat_outgoing_background)
		windows_app_version = try values.decodeIfPresent(String.self, forKey: .windows_app_version)
		widnows_app_api_id = try values.decodeIfPresent(String.self, forKey: .widnows_app_api_id)
		widnows_app_api_key = try values.decodeIfPresent(String.self, forKey: .widnows_app_api_key)
		stripe_id = try values.decodeIfPresent(String.self, forKey: .stripe_id)
		stripe_secret = try values.decodeIfPresent(String.self, forKey: .stripe_secret)
		credit_card = try values.decodeIfPresent(String.self, forKey: .credit_card)
		bitcoin = try values.decodeIfPresent(String.self, forKey: .bitcoin)
		m_withdrawal = try values.decodeIfPresent(String.self, forKey: .m_withdrawal)
		amount_ref = try values.decodeIfPresent(String.self, forKey: .amount_ref)
		affiliate_type = try values.decodeIfPresent(String.self, forKey: .affiliate_type)
		affiliate_system = try values.decodeIfPresent(String.self, forKey: .affiliate_system)
		classified = try values.decodeIfPresent(String.self, forKey: .classified)
		amazone_s3 = try values.decodeIfPresent(String.self, forKey: .amazone_s3)
		bucket_name = try values.decodeIfPresent(String.self, forKey: .bucket_name)
		amazone_s3_key = try values.decodeIfPresent(String.self, forKey: .amazone_s3_key)
		amazone_s3_s_key = try values.decodeIfPresent(String.self, forKey: .amazone_s3_s_key)
		region = try values.decodeIfPresent(String.self, forKey: .region)
		footer_background = try values.decodeIfPresent(String.self, forKey: .footer_background)
		is_utf8 = try values.decodeIfPresent(String.self, forKey: .is_utf8)
		alipay = try values.decodeIfPresent(String.self, forKey: .alipay)
		sms_t_phone_number = try values.decodeIfPresent(String.self, forKey: .sms_t_phone_number)
		audio_chat = try values.decodeIfPresent(String.self, forKey: .audio_chat)
		sms_twilio_username = try values.decodeIfPresent(String.self, forKey: .sms_twilio_username)
		sms_twilio_password = try values.decodeIfPresent(String.self, forKey: .sms_twilio_password)
		sms_provider = try values.decodeIfPresent(String.self, forKey: .sms_provider)
		footer_text_color = try values.decodeIfPresent(String.self, forKey: .footer_text_color)
		updated_latest = try values.decodeIfPresent(String.self, forKey: .updated_latest)
		classified_currency = try values.decodeIfPresent(String.self, forKey: .classified_currency)
		classified_currency_s = try values.decodeIfPresent(String.self, forKey: .classified_currency_s)
		mime_types = try values.decodeIfPresent(String.self, forKey: .mime_types)
		footer_background_2 = try values.decodeIfPresent(String.self, forKey: .footer_background_2)
		footer_background_n = try values.decodeIfPresent(String.self, forKey: .footer_background_n)
		blogs = try values.decodeIfPresent(String.self, forKey: .blogs)
		can_blogs = try values.decodeIfPresent(String.self, forKey: .can_blogs)
		push = try values.decodeIfPresent(String.self, forKey: .push)
		android_m_push_id = try values.decodeIfPresent(String.self, forKey: .android_m_push_id)
		android_m_push_key = try values.decodeIfPresent(String.self, forKey: .android_m_push_key)
		events = try values.decodeIfPresent(String.self, forKey: .events)
		forum = try values.decodeIfPresent(String.self, forKey: .forum)
		last_update = try values.decodeIfPresent(String.self, forKey: .last_update)
		movies = try values.decodeIfPresent(String.self, forKey: .movies)
		yandex_translation_api = try values.decodeIfPresent(String.self, forKey: .yandex_translation_api)
		update_db_15 = try values.decodeIfPresent(String.self, forKey: .update_db_15)
		ad_v_price = try values.decodeIfPresent(String.self, forKey: .ad_v_price)
		ad_c_price = try values.decodeIfPresent(String.self, forKey: .ad_c_price)
		emo_cdn = try values.decodeIfPresent(String.self, forKey: .emo_cdn)
		user_ads = try values.decodeIfPresent(String.self, forKey: .user_ads)
		user_status = try values.decodeIfPresent(String.self, forKey: .user_status)
		date_style = try values.decodeIfPresent(String.self, forKey: .date_style)
		stickers = try values.decodeIfPresent(String.self, forKey: .stickers)
		giphy_api = try values.decodeIfPresent(String.self, forKey: .giphy_api)
		find_friends = try values.decodeIfPresent(String.self, forKey: .find_friends)
		update_db_152 = try values.decodeIfPresent(String.self, forKey: .update_db_152)
		script_version = try values.decodeIfPresent(String.self, forKey: .script_version)
		android_push_native = try values.decodeIfPresent(String.self, forKey: .android_push_native)
		android_push_messages = try values.decodeIfPresent(String.self, forKey: .android_push_messages)
		update_db_153 = try values.decodeIfPresent(String.self, forKey: .update_db_153)
		ads_currency = try values.decodeIfPresent(String.self, forKey: .ads_currency)
		web_push = try values.decodeIfPresent(String.self, forKey: .web_push)
		playtube_url = try values.decodeIfPresent(String.self, forKey: .playtube_url)
		connectivitySystemLimit = try values.decodeIfPresent(String.self, forKey: .connectivitySystemLimit)
		video_ad_skip = try values.decodeIfPresent(String.self, forKey: .video_ad_skip)
		update_user_profile = try values.decodeIfPresent(String.self, forKey: .update_user_profile)
		cache_sidebar = try values.decodeIfPresent(String.self, forKey: .cache_sidebar)
		android_n_push_id = try values.decodeIfPresent(String.self, forKey: .android_n_push_id)
		android_n_push_key = try values.decodeIfPresent(String.self, forKey: .android_n_push_key)
		ftp_host = try values.decodeIfPresent(String.self, forKey: .ftp_host)
		ftp_port = try values.decodeIfPresent(String.self, forKey: .ftp_port)
		ftp_username = try values.decodeIfPresent(String.self, forKey: .ftp_username)
		ftp_password = try values.decodeIfPresent(String.self, forKey: .ftp_password)
		ftp_upload = try values.decodeIfPresent(String.self, forKey: .ftp_upload)
		ftp_endpoint = try values.decodeIfPresent(String.self, forKey: .ftp_endpoint)
		ftp_path = try values.decodeIfPresent(String.self, forKey: .ftp_path)
		transaction_log = try values.decodeIfPresent(String.self, forKey: .transaction_log)
		coinpayments_secret = try values.decodeIfPresent(String.self, forKey: .coinpayments_secret)
		coinpayments_id = try values.decodeIfPresent(String.self, forKey: .coinpayments_id)
		infobip_username = try values.decodeIfPresent(String.self, forKey: .infobip_username)
		infobip_password = try values.decodeIfPresent(String.self, forKey: .infobip_password)
		updatev2 = try values.decodeIfPresent(String.self, forKey: .updatev2)
		amount_percent_ref = try values.decodeIfPresent(String.self, forKey: .amount_percent_ref)
		gift_system = try values.decodeIfPresent(String.self, forKey: .gift_system)
		social_share_twitter = try values.decodeIfPresent(String.self, forKey: .social_share_twitter)
		social_share_google = try values.decodeIfPresent(String.self, forKey: .social_share_google)
		social_share_facebook = try values.decodeIfPresent(String.self, forKey: .social_share_facebook)
		social_share_whatsup = try values.decodeIfPresent(String.self, forKey: .social_share_whatsup)
		social_share_pinterest = try values.decodeIfPresent(String.self, forKey: .social_share_pinterest)
		social_share_linkedin = try values.decodeIfPresent(String.self, forKey: .social_share_linkedin)
		social_share_telegram = try values.decodeIfPresent(String.self, forKey: .social_share_telegram)
		stickers_system = try values.decodeIfPresent(String.self, forKey: .stickers_system)
		dollar_to_point_cost = try values.decodeIfPresent(String.self, forKey: .dollar_to_point_cost)
		comments_point = try values.decodeIfPresent(String.self, forKey: .comments_point)
		likes_point = try values.decodeIfPresent(String.self, forKey: .likes_point)
		dislikes_point = try values.decodeIfPresent(String.self, forKey: .dislikes_point)
		wonders_point = try values.decodeIfPresent(String.self, forKey: .wonders_point)
		reaction_point = try values.decodeIfPresent(String.self, forKey: .reaction_point)
		createpost_point = try values.decodeIfPresent(String.self, forKey: .createpost_point)
		point_allow_withdrawal = try values.decodeIfPresent(String.self, forKey: .point_allow_withdrawal)
		sticky_video_player = try values.decodeIfPresent(String.self, forKey: .sticky_video_player)
		point_level_system = try values.decodeIfPresent(String.self, forKey: .point_level_system)
		comment_reports = try values.decodeIfPresent(String.self, forKey: .comment_reports)
		popular_posts = try values.decodeIfPresent(String.self, forKey: .popular_posts)
		auto_friend_users = try values.decodeIfPresent(String.self, forKey: .auto_friend_users)
		spaces_key = try values.decodeIfPresent(String.self, forKey: .spaces_key)
		spaces_secret = try values.decodeIfPresent(String.self, forKey: .spaces_secret)
		space_name = try values.decodeIfPresent(String.self, forKey: .space_name)
		space_region = try values.decodeIfPresent(String.self, forKey: .space_region)
		spaces = try values.decodeIfPresent(String.self, forKey: .spaces)
		watermark = try values.decodeIfPresent(String.self, forKey: .watermark)
		google_map = try values.decodeIfPresent(String.self, forKey: .google_map)
		login_auth = try values.decodeIfPresent(String.self, forKey: .login_auth)
		two_factor = try values.decodeIfPresent(String.self, forKey: .two_factor)
		two_factor_type = try values.decodeIfPresent(String.self, forKey: .two_factor_type)
		last_notification_delete_run = try values.decodeIfPresent(String.self, forKey: .last_notification_delete_run)
		ios_push_messages = try values.decodeIfPresent(String.self, forKey: .ios_push_messages)
		ios_m_push_id = try values.decodeIfPresent(String.self, forKey: .ios_m_push_id)
		ios_m_push_key = try values.decodeIfPresent(String.self, forKey: .ios_m_push_key)
		ios_push_native = try values.decodeIfPresent(String.self, forKey: .ios_push_native)
		ios_n_push_id = try values.decodeIfPresent(String.self, forKey: .ios_n_push_id)
		ios_n_push_key = try values.decodeIfPresent(String.self, forKey: .ios_n_push_key)
		web_push_id = try values.decodeIfPresent(String.self, forKey: .web_push_id)
		web_push_key = try values.decodeIfPresent(String.self, forKey: .web_push_key)
		profile_back = try values.decodeIfPresent(String.self, forKey: .profile_back)
		free_day_limit = try values.decodeIfPresent(String.self, forKey: .free_day_limit)
		adult_images = try values.decodeIfPresent(String.self, forKey: .adult_images)
		adult_images_action = try values.decodeIfPresent(String.self, forKey: .adult_images_action)
		adult_images_file = try values.decodeIfPresent(String.self, forKey: .adult_images_file)
		pro_day_limit = try values.decodeIfPresent(String.self, forKey: .pro_day_limit)
		vision_api_key = try values.decodeIfPresent(String.self, forKey: .vision_api_key)
		recaptcha_secret_key = try values.decodeIfPresent(String.self, forKey: .recaptcha_secret_key)
		bank_payment = try values.decodeIfPresent(String.self, forKey: .bank_payment)
		bank_transfer_note = try values.decodeIfPresent(String.self, forKey: .bank_transfer_note)
		bank_description = try values.decodeIfPresent(String.self, forKey: .bank_description)
		createblog_point = try values.decodeIfPresent(String.self, forKey: .createblog_point)
		deepsound_url = try values.decodeIfPresent(String.self, forKey: .deepsound_url)
		english = try values.decodeIfPresent(String.self, forKey: .english)
		arabic = try values.decodeIfPresent(String.self, forKey: .arabic)
		dutch = try values.decodeIfPresent(String.self, forKey: .dutch)
		french = try values.decodeIfPresent(String.self, forKey: .french)
		german = try values.decodeIfPresent(String.self, forKey: .german)
		italian = try values.decodeIfPresent(String.self, forKey: .italian)
		portuguese = try values.decodeIfPresent(String.self, forKey: .portuguese)
		russian = try values.decodeIfPresent(String.self, forKey: .russian)
		spanish = try values.decodeIfPresent(String.self, forKey: .spanish)
		turkish = try values.decodeIfPresent(String.self, forKey: .turkish)
		currency_array = try values.decodeIfPresent(CurrencyArrayUnion.self, forKey: .currency_array)
		currency_symbol_array = try values.decodeIfPresent(Currency_Symbol_Array.self, forKey: .currency_symbol_array)
		paypal_currency = try values.decodeIfPresent(String.self, forKey: .paypal_currency)
		stripe_currency = try values.decodeIfPresent(String.self, forKey: .stripe_currency)
		two_checkout_currency = try values.decodeIfPresent(String.self, forKey: .two_checkout_currency)
		version = try values.decodeIfPresent(String.self, forKey: .version)
		forum_visibility = try values.decodeIfPresent(String.self, forKey: .forum_visibility)
		events_visibility = try values.decodeIfPresent(String.self, forKey: .events_visibility)
		product_visibility = try values.decodeIfPresent(String.self, forKey: .product_visibility)
		paypal = try values.decodeIfPresent(String.self, forKey: .paypal)
		poke_system = try values.decodeIfPresent(String.self, forKey: .poke_system)
		afternoon_system = try values.decodeIfPresent(String.self, forKey: .afternoon_system)
		providers_array = try values.decodeIfPresent(String.self, forKey: .providers_array)
		colored_posts_system = try values.decodeIfPresent(String.self, forKey: .colored_posts_system)
		checkout_payment = try values.decodeIfPresent(String.self, forKey: .checkout_payment)
		checkout_mode = try values.decodeIfPresent(String.self, forKey: .checkout_mode)
		checkout_seller_id = try values.decodeIfPresent(String.self, forKey: .checkout_seller_id)
		checkout_publishable_key = try values.decodeIfPresent(String.self, forKey: .checkout_publishable_key)
		checkout_private_key = try values.decodeIfPresent(String.self, forKey: .checkout_private_key)
		job_system = try values.decodeIfPresent(String.self, forKey: .job_system)
		weather_widget = try values.decodeIfPresent(String.self, forKey: .weather_widget)
		common_things = try values.decodeIfPresent(String.self, forKey: .common_things)
		funding_system = try values.decodeIfPresent(String.self, forKey: .funding_system)
		funding_request = try values.decodeIfPresent(String.self, forKey: .funding_request)
		donate_percentage = try values.decodeIfPresent(String.self, forKey: .donate_percentage)
		weather_key = try values.decodeIfPresent(String.self, forKey: .weather_key)
		post_approval = try values.decodeIfPresent(String.self, forKey: .post_approval)
		auto_page_like = try values.decodeIfPresent(String.self, forKey: .auto_page_like)
		auto_group_join = try values.decodeIfPresent(String.self, forKey: .auto_group_join)
		memories_system = try values.decodeIfPresent(String.self, forKey: .memories_system)
		membership_system = try values.decodeIfPresent(String.self, forKey: .membership_system)
		recurring_payment = try values.decodeIfPresent(String.self, forKey: .recurring_payment)
		who_upload = try values.decodeIfPresent(String.self, forKey: .who_upload)
		who_call = try values.decodeIfPresent(String.self, forKey: .who_call)
		blog_approval = try values.decodeIfPresent(String.self, forKey: .blog_approval)
		refund_system = try values.decodeIfPresent(String.self, forKey: .refund_system)
		paystack_payment = try values.decodeIfPresent(String.self, forKey: .paystack_payment)
		paystack_secret_key = try values.decodeIfPresent(String.self, forKey: .paystack_secret_key)
		cashfree_payment = try values.decodeIfPresent(String.self, forKey: .cashfree_payment)
		cashfree_client_key = try values.decodeIfPresent(String.self, forKey: .cashfree_client_key)
		cashfree_secret_key = try values.decodeIfPresent(String.self, forKey: .cashfree_secret_key)
		msg91_authKey = try values.decodeIfPresent(String.self, forKey: .msg91_authKey)
		offer_system = try values.decodeIfPresent(String.self, forKey: .offer_system)
		nearby_shop_system = try values.decodeIfPresent(String.self, forKey: .nearby_shop_system)
		nearby_business_system = try values.decodeIfPresent(String.self, forKey: .nearby_business_system)
		prevent_system = try values.decodeIfPresent(String.self, forKey: .prevent_system)
		bad_login_limit = try values.decodeIfPresent(String.self, forKey: .bad_login_limit)
		lock_time = try values.decodeIfPresent(String.self, forKey: .lock_time)
		password_complexity_system = try values.decodeIfPresent(String.self, forKey: .password_complexity_system)
		invite_links_system = try values.decodeIfPresent(String.self, forKey: .invite_links_system)
		user_links_limit = try values.decodeIfPresent(String.self, forKey: .user_links_limit)
		expire_user_links = try values.decodeIfPresent(String.self, forKey: .expire_user_links)
		shout_box_system = try values.decodeIfPresent(String.self, forKey: .shout_box_system)
		bank_withdrawal_system = try values.decodeIfPresent(String.self, forKey: .bank_withdrawal_system)
		live_video = try values.decodeIfPresent(String.self, forKey: .live_video)
		live_token = try values.decodeIfPresent(String.self, forKey: .live_token)
		live_account_id = try values.decodeIfPresent(String.self, forKey: .live_account_id)
		razorpay_payment = try values.decodeIfPresent(String.self, forKey: .razorpay_payment)
		razorpay_key_id = try values.decodeIfPresent(String.self, forKey: .razorpay_key_id)
		razorpay_key_secret = try values.decodeIfPresent(String.self, forKey: .razorpay_key_secret)
		paysera_payment = try values.decodeIfPresent(String.self, forKey: .paysera_payment)
		paysera_project_id = try values.decodeIfPresent(String.self, forKey: .paysera_project_id)
		paysera_sign_password = try values.decodeIfPresent(String.self, forKey: .paysera_sign_password)
		paysera_mode = try values.decodeIfPresent(String.self, forKey: .paysera_mode)
		cloud_upload = try values.decodeIfPresent(String.self, forKey: .cloud_upload)
		cloud_file_path = try values.decodeIfPresent(String.self, forKey: .cloud_file_path)
		cloud_bucket_name = try values.decodeIfPresent(String.self, forKey: .cloud_bucket_name)
		live_video_save = try values.decodeIfPresent(String.self, forKey: .live_video_save)
		notify_new_post = try values.decodeIfPresent(String.self, forKey: .notify_new_post)
		agora_app_id = try values.decodeIfPresent(String.self, forKey: .agora_app_id)
		agora_live_video = try values.decodeIfPresent(String.self, forKey: .agora_live_video)
		millicast_live_video = try values.decodeIfPresent(String.self, forKey: .millicast_live_video)
		agora_customer_id = try values.decodeIfPresent(String.self, forKey: .agora_customer_id)
		agora_customer_certificate = try values.decodeIfPresent(String.self, forKey: .agora_customer_certificate)
		yahoo_consumer_key = try values.decodeIfPresent(String.self, forKey: .yahoo_consumer_key)
		yahoo_consumer_secret = try values.decodeIfPresent(String.self, forKey: .yahoo_consumer_secret)
		cashfree_mode = try values.decodeIfPresent(String.self, forKey: .cashfree_mode)
		amazone_s3_2 = try values.decodeIfPresent(String.self, forKey: .amazone_s3_2)
		bucket_name_2 = try values.decodeIfPresent(String.self, forKey: .bucket_name_2)
		amazone_s3_key_2 = try values.decodeIfPresent(String.self, forKey: .amazone_s3_key_2)
		amazone_s3_s_key_2 = try values.decodeIfPresent(String.self, forKey: .amazone_s3_s_key_2)
		region_2 = try values.decodeIfPresent(String.self, forKey: .region_2)
		indonesia = try values.decodeIfPresent(String.self, forKey: .indonesia)
		node_socket_flow = try values.decodeIfPresent(String.self, forKey: .node_socket_flow)
		redis = try values.decodeIfPresent(String.self, forKey: .redis)
		youtube_api_key = try values.decodeIfPresent(String.self, forKey: .youtube_api_key)
		redis_port = try values.decodeIfPresent(String.self, forKey: .redis_port)
		nodejs_port = try values.decodeIfPresent(String.self, forKey: .nodejs_port)
		nodejs_ssl = try values.decodeIfPresent(String.self, forKey: .nodejs_ssl)
		nodejs_key_path = try values.decodeIfPresent(String.self, forKey: .nodejs_key_path)
		nodejs_cert_path = try values.decodeIfPresent(String.self, forKey: .nodejs_cert_path)
		nodejs_ssl_port = try values.decodeIfPresent(String.self, forKey: .nodejs_ssl_port)
		nodejs_live_notification = try values.decodeIfPresent(String.self, forKey: .nodejs_live_notification)
		auto_username = try values.decodeIfPresent(String.self, forKey: .auto_username)
		agora_app_certificate = try values.decodeIfPresent(String.self, forKey: .agora_app_certificate)
		agora_chat_video = try values.decodeIfPresent(String.self, forKey: .agora_chat_video)
		agora_chat_app_id = try values.decodeIfPresent(String.self, forKey: .agora_chat_app_id)
		agora_chat_app_certificate = try values.decodeIfPresent(String.self, forKey: .agora_chat_app_certificate)
		agora_chat_customer_id = try values.decodeIfPresent(String.self, forKey: .agora_chat_customer_id)
		agora_chat_customer_certificate = try values.decodeIfPresent(String.self, forKey: .agora_chat_customer_certificate)
		qqLogin = try values.decodeIfPresent(String.self, forKey: .qqLogin)
		qqAppId = try values.decodeIfPresent(String.self, forKey: .qqAppId)
		qqAppkey = try values.decodeIfPresent(String.self, forKey: .qqAppkey)
		weChatLogin = try values.decodeIfPresent(String.self, forKey: .weChatLogin)
		weChatAppId = try values.decodeIfPresent(String.self, forKey: .weChatAppId)
		weChatAppkey = try values.decodeIfPresent(String.self, forKey: .weChatAppkey)
		discordLogin = try values.decodeIfPresent(String.self, forKey: .discordLogin)
		discordAppId = try values.decodeIfPresent(String.self, forKey: .discordAppId)
		discordAppkey = try values.decodeIfPresent(String.self, forKey: .discordAppkey)
		mailruLogin = try values.decodeIfPresent(String.self, forKey: .mailruLogin)
		mailruAppId = try values.decodeIfPresent(String.self, forKey: .mailruAppId)
		mailruAppkey = try values.decodeIfPresent(String.self, forKey: .mailruAppkey)
		twilio_video_chat = try values.decodeIfPresent(String.self, forKey: .twilio_video_chat)
		ffmpeg_binary_file = try values.decodeIfPresent(String.self, forKey: .ffmpeg_binary_file)
		ffmpeg_system = try values.decodeIfPresent(String.self, forKey: .ffmpeg_system)
		convert_speed = try values.decodeIfPresent(String.self, forKey: .convert_speed)
		allowedffmpegExtenstion = try values.decodeIfPresent(String.self, forKey: .allowedffmpegExtenstion)
		ffmpeg_mime_types = try values.decodeIfPresent(String.self, forKey: .ffmpeg_mime_types)
		msg91_dlt_id = try values.decodeIfPresent(String.self, forKey: .msg91_dlt_id)
		store_system = try values.decodeIfPresent(String.self, forKey: .store_system)
		exchange = try values.decodeIfPresent(String.self, forKey: .exchange)
		exchange_update = try values.decodeIfPresent(String.self, forKey: .exchange_update)
		store_commission = try values.decodeIfPresent(String.self, forKey: .store_commission)
		store_review_system = try values.decodeIfPresent(String.self, forKey: .store_review_system)
		website_mode = try values.decodeIfPresent(String.self, forKey: .website_mode)
		post_location = try values.decodeIfPresent(String.self, forKey: .post_location)
		post_feelings = try values.decodeIfPresent(String.self, forKey: .post_feelings)
		post_poll = try values.decodeIfPresent(String.self, forKey: .post_poll)
		affiliate_level = try values.decodeIfPresent(String.self, forKey: .affiliate_level)
		coinbase_payment = try values.decodeIfPresent(String.self, forKey: .coinbase_payment)
		coinbase_key = try values.decodeIfPresent(String.self, forKey: .coinbase_key)
		wasabi_storage = try values.decodeIfPresent(String.self, forKey: .wasabi_storage)
		wasabi_access_key = try values.decodeIfPresent(String.self, forKey: .wasabi_access_key)
		wasabi_secret_key = try values.decodeIfPresent(String.self, forKey: .wasabi_secret_key)
		wasabi_bucket_name = try values.decodeIfPresent(String.self, forKey: .wasabi_bucket_name)
		wasabi_bucket_region = try values.decodeIfPresent(String.self, forKey: .wasabi_bucket_region)
		remember_device = try values.decodeIfPresent(String.self, forKey: .remember_device)
		infobip_api_key = try values.decodeIfPresent(String.self, forKey: .infobip_api_key)
		infobip_base_url = try values.decodeIfPresent(String.self, forKey: .infobip_base_url)
		yandex_map = try values.decodeIfPresent(String.self, forKey: .yandex_map)
		yandex_map_api = try values.decodeIfPresent(String.self, forKey: .yandex_map_api)
		yoomoney_payment = try values.decodeIfPresent(String.self, forKey: .yoomoney_payment)
		yoomoney_wallet_id = try values.decodeIfPresent(String.self, forKey: .yoomoney_wallet_id)
		yoomoney_notifications_secret = try values.decodeIfPresent(String.self, forKey: .yoomoney_notifications_secret)
		iyzipay_payment = try values.decodeIfPresent(String.self, forKey: .iyzipay_payment)
		iyzipay_mode = try values.decodeIfPresent(String.self, forKey: .iyzipay_mode)
		iyzipay_key = try values.decodeIfPresent(String.self, forKey: .iyzipay_key)
		iyzipay_secret_key = try values.decodeIfPresent(String.self, forKey: .iyzipay_secret_key)
		iyzipay_buyer_id = try values.decodeIfPresent(String.self, forKey: .iyzipay_buyer_id)
		iyzipay_buyer_name = try values.decodeIfPresent(String.self, forKey: .iyzipay_buyer_name)
		iyzipay_buyer_surname = try values.decodeIfPresent(String.self, forKey: .iyzipay_buyer_surname)
		iyzipay_buyer_gsm_number = try values.decodeIfPresent(String.self, forKey: .iyzipay_buyer_gsm_number)
		iyzipay_buyer_email = try values.decodeIfPresent(String.self, forKey: .iyzipay_buyer_email)
		iyzipay_identity_number = try values.decodeIfPresent(String.self, forKey: .iyzipay_identity_number)
		iyzipay_address = try values.decodeIfPresent(String.self, forKey: .iyzipay_address)
		iyzipay_city = try values.decodeIfPresent(String.self, forKey: .iyzipay_city)
		iyzipay_country = try values.decodeIfPresent(String.self, forKey: .iyzipay_country)
		iyzipay_zip = try values.decodeIfPresent(String.self, forKey: .iyzipay_zip)
		securionpay_payment = try values.decodeIfPresent(String.self, forKey: .securionpay_payment)
		securionpay_public_key = try values.decodeIfPresent(String.self, forKey: .securionpay_public_key)
		securionpay_secret_key = try values.decodeIfPresent(String.self, forKey: .securionpay_secret_key)
		authorize_payment = try values.decodeIfPresent(String.self, forKey: .authorize_payment)
		authorize_test_mode = try values.decodeIfPresent(String.self, forKey: .authorize_test_mode)
		authorize_login_id = try values.decodeIfPresent(String.self, forKey: .authorize_login_id)
		authorize_transaction_key = try values.decodeIfPresent(String.self, forKey: .authorize_transaction_key)
		okLogin = try values.decodeIfPresent(String.self, forKey: .okLogin)
		okAppId = try values.decodeIfPresent(String.self, forKey: .okAppId)
		okAppPublickey = try values.decodeIfPresent(String.self, forKey: .okAppPublickey)
		okAppSecretkey = try values.decodeIfPresent(String.self, forKey: .okAppSecretkey)
		native_android_messenger_url = try values.decodeIfPresent(String.self, forKey: .native_android_messenger_url)
		native_android_timeline_url = try values.decodeIfPresent(String.self, forKey: .native_android_timeline_url)
		native_ios_messenger_url = try values.decodeIfPresent(String.self, forKey: .native_ios_messenger_url)
		native_ios_timeline_url = try values.decodeIfPresent(String.self, forKey: .native_ios_timeline_url)
		native_windows_messenger_url = try values.decodeIfPresent(String.self, forKey: .native_windows_messenger_url)
		fluttewave_payment = try values.decodeIfPresent(String.self, forKey: .fluttewave_payment)
		fluttewave_secret_key = try values.decodeIfPresent(String.self, forKey: .fluttewave_secret_key)
		fortumo_payment = try values.decodeIfPresent(String.self, forKey: .fortumo_payment)
		fortumo_service_id = try values.decodeIfPresent(String.self, forKey: .fortumo_service_id)
		aamarpay_payment = try values.decodeIfPresent(String.self, forKey: .aamarpay_payment)
		aamarpay_mode = try values.decodeIfPresent(String.self, forKey: .aamarpay_mode)
		aamarpay_store_id = try values.decodeIfPresent(String.self, forKey: .aamarpay_store_id)
		aamarpay_signature_key = try values.decodeIfPresent(String.self, forKey: .aamarpay_signature_key)
		ngenius_payment = try values.decodeIfPresent(String.self, forKey: .ngenius_payment)
		ngenius_mode = try values.decodeIfPresent(String.self, forKey: .ngenius_mode)
		ngenius_api_key = try values.decodeIfPresent(String.self, forKey: .ngenius_api_key)
		ngenius_outlet_id = try values.decodeIfPresent(String.self, forKey: .ngenius_outlet_id)
		coinpayments_public_key = try values.decodeIfPresent(String.self, forKey: .coinpayments_public_key)
		coinpayments_coins = try values.decodeIfPresent(String.self, forKey: .coinpayments_coins)
		coinpayments_coin = try values.decodeIfPresent(String.self, forKey: .coinpayments_coin)
		withdrawal_payment_method = try values.decodeIfPresent(String.self, forKey: .withdrawal_payment_method)
		custom_name = try values.decodeIfPresent(String.self, forKey: .custom_name)
		job_request = try values.decodeIfPresent(String.self, forKey: .job_request)
		game_request = try values.decodeIfPresent(String.self, forKey: .game_request)
		market_request = try values.decodeIfPresent(String.self, forKey: .market_request)
		event_request = try values.decodeIfPresent(String.self, forKey: .event_request)
		forum_request = try values.decodeIfPresent(String.self, forKey: .forum_request)
		groups_request = try values.decodeIfPresent(String.self, forKey: .groups_request)
		pages_request = try values.decodeIfPresent(String.self, forKey: .pages_request)
		video_call_request = try values.decodeIfPresent(String.self, forKey: .video_call_request)
		audio_call_request = try values.decodeIfPresent(String.self, forKey: .audio_call_request)
		offer_request = try values.decodeIfPresent(String.self, forKey: .offer_request)
		blog_request = try values.decodeIfPresent(String.self, forKey: .blog_request)
		movies_request = try values.decodeIfPresent(String.self, forKey: .movies_request)
		story_request = try values.decodeIfPresent(String.self, forKey: .story_request)
		stickers_request = try values.decodeIfPresent(String.self, forKey: .stickers_request)
		gif_request = try values.decodeIfPresent(String.self, forKey: .gif_request)
		gift_request = try values.decodeIfPresent(String.self, forKey: .gift_request)
		nearby_request = try values.decodeIfPresent(String.self, forKey: .nearby_request)
		video_upload_request = try values.decodeIfPresent(String.self, forKey: .video_upload_request)
		audio_upload_request = try values.decodeIfPresent(String.self, forKey: .audio_upload_request)
		shout_box_request = try values.decodeIfPresent(String.self, forKey: .shout_box_request)
		colored_posts_request = try values.decodeIfPresent(String.self, forKey: .colored_posts_request)
		poll_request = try values.decodeIfPresent(String.self, forKey: .poll_request)
		live_request = try values.decodeIfPresent(String.self, forKey: .live_request)
		profile_background_request = try values.decodeIfPresent(String.self, forKey: .profile_background_request)
		chat_request = try values.decodeIfPresent(String.self, forKey: .chat_request)
		report_reasons = try values.decodeIfPresent(String.self, forKey: .report_reasons)
		developer_mode = try values.decodeIfPresent(String.self, forKey: .developer_mode)
		affiliate_request = try values.decodeIfPresent(String.self, forKey: .affiliate_request)
		yandex_translate = try values.decodeIfPresent(String.self, forKey: .yandex_translate)
		google_translate = try values.decodeIfPresent(String.self, forKey: .google_translate)
		google_translation_api = try values.decodeIfPresent(String.self, forKey: .google_translation_api)
		backblaze_storage = try values.decodeIfPresent(String.self, forKey: .backblaze_storage)
		backblaze_bucket_id = try values.decodeIfPresent(String.self, forKey: .backblaze_bucket_id)
		backblaze_bucket_endpoint = try values.decodeIfPresent(String.self, forKey: .backblaze_bucket_endpoint)
		backblaze_access_key_id = try values.decodeIfPresent(String.self, forKey: .backblaze_access_key_id)
		backblaze_access_key = try values.decodeIfPresent(String.self, forKey: .backblaze_access_key)
		backblaze_bucket_name = try values.decodeIfPresent(String.self, forKey: .backblaze_bucket_name)
		amazon_endpoint = try values.decodeIfPresent(String.self, forKey: .amazon_endpoint)
		spaces_endpoint = try values.decodeIfPresent(String.self, forKey: .spaces_endpoint)
		wasabi_endpoint = try values.decodeIfPresent(String.self, forKey: .wasabi_endpoint)
		backblaze_endpoint = try values.decodeIfPresent(String.self, forKey: .backblaze_endpoint)
		cloud_endpoint = try values.decodeIfPresent(String.self, forKey: .cloud_endpoint)
		cronjob_last_run = try values.decodeIfPresent(String.self, forKey: .cronjob_last_run)
		backblaze_bucket_region = try values.decodeIfPresent(String.self, forKey: .backblaze_bucket_region)
		chinese = try values.decodeIfPresent(String.self, forKey: .chinese)
		hindi = try values.decodeIfPresent(String.self, forKey: .hindi)
		urdu = try values.decodeIfPresent(String.self, forKey: .urdu)
		indonesian = try values.decodeIfPresent(String.self, forKey: .indonesian)
		croatian = try values.decodeIfPresent(String.self, forKey: .croatian)
		hebrew = try values.decodeIfPresent(String.self, forKey: .hebrew)
		bengali = try values.decodeIfPresent(String.self, forKey: .bengali)
		japanese = try values.decodeIfPresent(String.self, forKey: .japanese)
		persian = try values.decodeIfPresent(String.self, forKey: .persian)
		danish = try values.decodeIfPresent(String.self, forKey: .danish)
		swedish = try values.decodeIfPresent(String.self, forKey: .swedish)
		vietnamese = try values.decodeIfPresent(String.self, forKey: .vietnamese)
		filipino = try values.decodeIfPresent(String.self, forKey: .filipino)
		korean = try values.decodeIfPresent(String.self, forKey: .korean)
		images_quality = try values.decodeIfPresent(String.self, forKey: .images_quality)
		reserved_usernames_system = try values.decodeIfPresent(String.self, forKey: .reserved_usernames_system)
		reserved_usernames = try values.decodeIfPresent(String.self, forKey: .reserved_usernames)
		tiktok_login = try values.decodeIfPresent(String.self, forKey: .tiktok_login)
		tiktok_client_key = try values.decodeIfPresent(String.self, forKey: .tiktok_client_key)
		tiktok_client_secret = try values.decodeIfPresent(String.self, forKey: .tiktok_client_secret)
		disable_start_up = try values.decodeIfPresent(String.self, forKey: .disable_start_up)
		ai_image_system = try values.decodeIfPresent(String.self, forKey: .ai_image_system)
		replicate_token = try values.decodeIfPresent(String.self, forKey: .replicate_token)
		openai_token = try values.decodeIfPresent(String.self, forKey: .openai_token)
		ai_post_system = try values.decodeIfPresent(String.self, forKey: .ai_post_system)
		ai_user_system = try values.decodeIfPresent(String.self, forKey: .ai_user_system)
		images_ai = try values.decodeIfPresent(String.self, forKey: .images_ai)
		post_ai = try values.decodeIfPresent(String.self, forKey: .post_ai)
		user_ai = try values.decodeIfPresent(String.self, forKey: .user_ai)
		openai_text_model = try values.decodeIfPresent(String.self, forKey: .openai_text_model)
		midjeourny_model = try values.decodeIfPresent(String.self, forKey: .midjeourny_model)
		num_inference_steps = try values.decodeIfPresent(String.self, forKey: .num_inference_steps)
		guidance_scale = try values.decodeIfPresent(String.self, forKey: .guidance_scale)
		seed = try values.decodeIfPresent(String.self, forKey: .seed)
		scheduler = try values.decodeIfPresent(String.self, forKey: .scheduler)
		prompt_strength = try values.decodeIfPresent(String.self, forKey: .prompt_strength)
		negative_prompt = try values.decodeIfPresent(String.self, forKey: .negative_prompt)
		ai_image_use = try values.decodeIfPresent(String.self, forKey: .ai_image_use)
		ai_post_use = try values.decodeIfPresent(String.self, forKey: .ai_post_use)
		ai_user_use = try values.decodeIfPresent(String.self, forKey: .ai_user_use)
		generated_image_price = try values.decodeIfPresent(String.self, forKey: .generated_image_price)
		credit_price = try values.decodeIfPresent(String.self, forKey: .credit_price)
		images_credit_system = try values.decodeIfPresent(String.self, forKey: .images_credit_system)
		text_credit_system = try values.decodeIfPresent(String.self, forKey: .text_credit_system)
		generated_word_price = try values.decodeIfPresent(String.self, forKey: .generated_word_price)
		ai_blog_system = try values.decodeIfPresent(String.self, forKey: .ai_blog_system)
		ai_blog_use = try values.decodeIfPresent(String.self, forKey: .ai_blog_use)
		blog_ai = try values.decodeIfPresent(String.self, forKey: .blog_ai)
		braintree_payment = try values.decodeIfPresent(String.self, forKey: .braintree_payment)
		braintree_mode = try values.decodeIfPresent(String.self, forKey: .braintree_mode)
		braintree_merchant_id = try values.decodeIfPresent(String.self, forKey: .braintree_merchant_id)
		braintree_public_key = try values.decodeIfPresent(String.self, forKey: .braintree_public_key)
		braintree_private_key = try values.decodeIfPresent(String.self, forKey: .braintree_private_key)
		braintree_token = try values.decodeIfPresent(String.self, forKey: .braintree_token)
		google_authenticator = try values.decodeIfPresent(String.self, forKey: .google_authenticator)
		authy_settings = try values.decodeIfPresent(String.self, forKey: .authy_settings)
		authy_token = try values.decodeIfPresent(String.self, forKey: .authy_token)
		logo_url = try values.decodeIfPresent(String.self, forKey: .logo_url)
		page_categories = try values.decodeIfPresent(Categories_Model.self, forKey: .page_categories)
		group_categories = try values.decodeIfPresent(Categories_Model.self, forKey: .group_categories)
		blog_categories = try values.decodeIfPresent(Categories_Model.self, forKey: .blog_categories)
		products_categories = try values.decodeIfPresent(Categories_Model.self, forKey: .products_categories)
		job_categories = try values.decodeIfPresent(Categories_Model.self, forKey: .job_categories)
		genders = try values.decodeIfPresent(Genders.self, forKey: .genders)
		family = try values.decodeIfPresent(Categories_Model.self, forKey: .family)
		fields = try values.decodeIfPresent([String].self, forKey: .fields)
		movie_category = try values.decodeIfPresent(Movie_Category.self, forKey: .movie_category)
		post_colors = try values.decodeIfPresent(Post_Colors_Union.self, forKey: .post_colors)
		page_sub_categories = try values.decodeIfPresent(Sub_Categories_Model_Union.self, forKey: .page_sub_categories)
		group_sub_categories = try values.decodeIfPresent(Sub_Categories_Model_Union.self, forKey: .group_sub_categories)
		products_sub_categories = try values.decodeIfPresent([String].self, forKey: .products_sub_categories)
		page_custom_fields = try values.decodeIfPresent([String].self, forKey: .page_custom_fields)
		group_custom_fields = try values.decodeIfPresent([String].self, forKey: .group_custom_fields)
		product_custom_fields = try values.decodeIfPresent([String].self, forKey: .product_custom_fields)
		post_reactions_types = try values.decodeIfPresent(Post_Reactions_Types.self, forKey: .post_reactions_types)
		pro_packages = try values.decodeIfPresent(Pro_Packages.self, forKey: .pro_packages)
	}

}

enum Sub_Categories_Model_Union: Codable {
    case anythingArray([JSONAny])
    case page_sub_categories(Sub_Categories_Model)
    
    var page_sub_categories: Sub_Categories_Model? {
        guard case let .page_sub_categories(value) = self else { return nil }
        return value
    }
    
    init(from decoder: Decoder) throws {
        let container = try decoder.singleValueContainer()
        if let x = try? container.decode([JSONAny].self) {
            self = .anythingArray(x)
            return
        }
        if let x = try? container.decode(Sub_Categories_Model.self) {
            self = .page_sub_categories(x)
            return
        }
        throw DecodingError.typeMismatch(Sub_Categories_Model_Union.self, DecodingError.Context(codingPath: decoder.codingPath, debugDescription: "Wrong type for Sub_Categories_Model_Union"))
    }
    
    func encode(to encoder: Encoder) throws {
        var container = encoder.singleValueContainer()
        switch self {
        case .anythingArray(let x):
            try container.encode(x)
        case .page_sub_categories(let x):
            try container.encode(x)
        }
    }
    
}

enum CurrencyArrayUnion: Codable {
    case array([String])
    case dictionaryModel(Categories_Model)
    
    var array: [String]? {
        guard case let .array(value) = self else { return nil }
        return value
    }
    
    var dictionaryModel: Categories_Model? {
        guard case let .dictionaryModel(value) = self else { return nil }
        return value
    }
    
    init(from decoder: Decoder) throws {
        let container = try decoder.singleValueContainer()
        if let x = try? container.decode([String].self) {
            self = .array(x)
            return
        }
        if let x = try? container.decode(Categories_Model.self) {
            self = .dictionaryModel(x)
            return
        }
        throw DecodingError.typeMismatch(CurrencyArrayUnion.self, DecodingError.Context(codingPath: decoder.codingPath, debugDescription: "Wrong type for CurrencyArrayUnion"))
    }
    
    func encode(to encoder: Encoder) throws {
        var container = encoder.singleValueContainer()
        switch self {
        case .array(let x):
            try container.encode(x)
        case .dictionaryModel(let x):
            try container.encode(x)
        }
    }
    
}

enum Post_Colors_Union: Codable {
    case anythingArray([JSONAny])
    case post_Colors(Post_Colors)
    
    var post_Colors: Post_Colors? {
        guard case let .post_Colors(value) = self else { return nil }
        return value
    }
    
    init(from decoder: Decoder) throws {
        let container = try decoder.singleValueContainer()
        if let x = try? container.decode([JSONAny].self) {
            self = .anythingArray(x)
            return
        }
        if let x = try? container.decode(Post_Colors.self) {
            self = .post_Colors(x)
            return
        }
        throw DecodingError.typeMismatch(Post_Colors_Union.self, DecodingError.Context(codingPath: decoder.codingPath, debugDescription: "Wrong type for Post_Colors_Union"))
    }
    
    func encode(to encoder: Encoder) throws {
        var container = encoder.singleValueContainer()
        switch self {
        case .anythingArray(let x):
            try container.encode(x)
        case .post_Colors(let x):
            try container.encode(x)
        }
    }
    
}
